
## simulate data from the Ewen's Sampling formula
## and from other simple models for the allele frequency
## spectra of genetic data
rEwens <- function(theta,n)
### Simulate data from the ESF
  {
    x <- 1;
    k <- 2;
    for (i in 2:n) {
      p <- c(x,theta)/(i-1+theta);
      a <- sample(k,1,prob=p);
      if (a==k) {
        k <- k+1;
        x <- c(x,1);
      } else x[a] <- x[a]+1;
    }
    x;  
  }


